@import '@styles/breakpoints.scss';

.nav_link {
  display: flex;
  gap: 15px;
  flex-direction: row;
  font-size: 18px;

  &.column {
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
  }

  &.burger_menu {
    flex-direction: column;
    align-items: center;
    gap: 20px;
    font-size: 22px;
    text-transform: uppercase;
  }

  &__item {
    position: relative;
    pointer-events: auto;
    cursor: pointer;
    padding: 1px 0;
    color: var(--font-color);
    transition: color var(--transition);

    &:after {
      content: '';
      position: absolute;
      width: 0;
      height: 1px;
      left: 50%;
      bottom: 0;
      transform: translateX(-50%);
      background-color: var(--font-secondary-color);
      transition: width var(--transition);
    }

    @include hover {
      color: var(--font-secondary-color);

      &:after {
        width: 100%;
      }
    }

    &.active {
      pointer-events: none;
      color: var(--font-secondary-color);

      &:after {
        width: 100%;
      }
    }
  }
}
